astro py:docs

- Index
- Modules

### Navigation

- next »
- « previous |
- Astropy v1.1.1 »
- Models and Fitting (`astropy.modeling`) »
- Redshift

# Redshift

class `astropy.modeling.functional_models.``Redshift`

  Bases: `astropy.modeling.Fittable1DModel`

  One dimensional redshift model.

  Parameters:

  z : float or a list of floats

  > Redshift value(s).

  Notes

  Model formula:

  > \lambda_{obs} = (1 + z) \lambda_{rest}

  Attributes Summary

  `param_names` |
  `z` | redshift

  Methods Summary

  `evaluate`(x, z) | One dimensional Redshift model function
  `fit_deriv`(x, z) | One dimensional Redshift model derivative

  Attributes Documentation

  `param_names` = ('z',)
  `z`

    redshift

  Methods Documentation

  static `evaluate`(x, z)

    One dimensional Redshift model function

  static `fit_deriv`(x, z)

    One dimensional Redshift model derivative